Package: groovy.lang

## Interface MetaClass

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `void` | `mixin(Class categoryClass)` Extend class globally with category methods.
    `void` | `mixin(Class[] categoryClass)` Extend class globally with category methods.
    `void` | `mixin(List categoryClasses)` Extend object with category methods.

- - ### Methods Detail

    - #### public void mixin(Class categoryClass)

      Extend class globally with category methods.

      Parameters:
        `categoryClass` - a category class to use
      Since:
        1.6.0

    - #### public void mixin(Class[] categoryClass)

      Extend class globally with category methods.

      Parameters:
        `categoryClass` - a category class to use
      Since:
        1.6.0

    - #### public void mixin(List categoryClasses)

      Extend object with category methods. All methods for given class and all super classes will be added to the object.

      Parameters:
        `categoryClasses` - a category classes to use
      Since:
        1.6.0